#pragma once
#include "Scenegraph\GameObject.h"

class BoneObject : public GameObject
{
public:
	BoneObject(int bineId, int materialId, float length);
	~BoneObject(void);

	void AddBone(BoneObject* pBone);
	XMFLOAT4X4 GetBindPose();
	void CalculatBindPose();

protected:

	virtual void Initialize(const GameContext& gameContext);

private:
	float m_Length;
	int m_BineId;
	int m_MaterialId;
	XMFLOAT4X4 m_BindPose;

private:
	// -------------------------
	// Disabling default copy constructor and default 
	// assignment operator.
	// -------------------------
	BoneObject( const BoneObject &obj);
	BoneObject& operator=( const BoneObject& obj);
};

